
QGIS Application - Bug report #9658

qgis master crashes when "ok" is pressed after enabling diagrams

2014-02-25 11:53 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Martin Dobias

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 18226

Description

Tested on Ubuntu, nightly build from repository

Draw labeling start

QGIS died on signal 11CANVAS update timer!

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

[New Thread 0x7fafc228e700 (LWP 5555)]

[New Thread 0x7fafa7fff700 (LWP 5554)]

[New Thread 0x7fafa57fa700 (LWP 5553)]

[New Thread 0x7fafa5ffb700 (LWP 5552)]

[New Thread 0x7fafc3dd2700 (LWP 5398)]

[New Thread 0x7fafc8ed4700 (LWP 5397)]

0x00007faffde3ca43 in poll () from /lib/x86_64-linux-gnu/libc.so.6

[Current thread is 1 (Thread 0x7fb00511b7c0 (LWP 5389))]

#0  0x00007faffde3ca43 in poll () from /lib/x86_64-linux-gnu/libc.so.6

No symbol table info available.

#1  0x00007faffc8b6ff6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#2  0x00007faffc8b7124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#3  0x00007fb000a293bf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#4  0x00007fafffe24d9e in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#5  0x00007fb0009f8c82 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#6  0x00007fb0009f8ed7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#7  0x00007fb00024c976 in QDialog::exec() () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#8  0x000000000051cedf in QgisApp::showLayerProperties(QgsMapLayer*) ()

No symbol table info available.

#9  0x000000000078c897 in QgsLegend::mouseDoubleClickEvent(QMouseEvent*) ()

No symbol table info available.

#10 0x00007fafffdcd15e in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.
#11 0x00007fb00018d3f6 in QFrame::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#12 0x00007fb0002a18db in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#13 0x00007fb0002e94f5 in QTreeView::viewportEvent(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#14 0x00007fb0009fa028 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#15 0x00007fafffd7c85f in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#16 0x00007fafffd820bf in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#17 0x00007fb0019b6996 in QgsApplication::notify(QObject*, QEvent*) () from /usr/lib/libqgis_core.so.2.3.0

No symbol table info available.

#18 0x00007fb0009f9e9c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#19 0x00007fafffd7d862 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,

QPointer<QWidget>&, bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#20 0x00007fafffdfcc35 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#21 0x00007fafffdfbbee in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#22 0x00007fafffe25112 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#23 0x00007faffc8b6d13 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#24 0x00007faffc8b7060 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#25 0x00007faffc8b7124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#26 0x00007fb000a293bf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#27 0x00007fafffe24d9e in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#28 0x00007fb0009f8c82 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#29 0x00007fb0009f8ed7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#30 0x00007fb0009fdf67 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#31 0x00000000004ee7e5 in main ()

No symbol table info available.

CANVAS update timer!

gdb returned 0

Aborted (core dumped)

Associated revisions
Revision 3a317a06 - 2014-02-28 06:11 AM - Martin Dobias

Fix #9658 (crash with diagrams)

History

#1 - 2014-02-27 09:06 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Assignee set to Martin Dobias

#2 - 2014-02-27 09:16 PM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"3a317a061e0f2be9726b66f7f5caca304948fba7".
